//Regelbau 501 bunker, based on various plans and own measurements
//Copyright (c) 2003 by Jakko Westerbeke <jakko@xs4all.nl>
camera {
   perspective
   location <8, 2.5, 4.5>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <8, 0, 4.5>
   //View from left front top:
   //location X -1 Y 10 Z -5
   //look at  X 4 Y 0 Z 5
}

light_source {
   <15, 5, 5>, rgb <1, 1, 1>
   shadowless
}

light_source {
   <-5, 10, 5>, rgb <1, 1, 1>
   shadowless
}

light_source {
   <5, 25, 0>, rgb <1, 1, 1>
   shadowless
}

sky_sphere {
   pigment {
      color rgb <1, 1, 1>
   }
}

#declare Black = texture {
   pigment {
      color rgb <0.180392, 0.180392, 0.180392>
   }
   
   finish {
   }
}

#declare Concrete = texture {
   pigment {
      color rgb <0.313725, 0.313725, 0.313725>
   }
   
   finish {
      diffuse 0.8
      roughness 0.5
      crand 0.15
   }
}

#declare DarkYellow = texture {
   pigment {
      color rgb <0.796078, 0.847059, 0.466667>
   }
   
   finish {
      diffuse 0.7
      specular 1
   }
}

#declare Floor = texture {
   pigment {
      color rgb <0.192157, 0.192157, 0.192157>
   }
   
   finish {
      diffuse 0.8
      roughness 0.5
      crand 0.15
   }
}

#declare InnerGreen = texture {
   pigment {
      color rgb <0.521569, 0.588235, 0.447059>
   }
}

#declare Interior = texture {
   pigment {
      color rgb <0.85098, 0.85098, 0.85098>
   }
   
   finish {
      diffuse 1.15
      crand 0.1
   }
}

#declare FiringPort = merge {
   //*PMName Firing port
   
   difference {
      //*PMName Main plate
      
      box {
         //*PMName Base
         <0, -0.05, 0>, <0.75, 0.7, 0.03>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hole
         <0.14, 0.17, -0.1>, <0.36, 0.47, 0.1>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   box {
      //*PMName Rail top
      <0.09, 0.5, 0.03>, <0.71, 0.6, 0.09>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Rail bottom
      <0.09, 0.04, 0.03>, <0.71, 0.14, 0.09>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Slider
      <0.1, 0.1, 0.035>, <0.4, 0.54, 0.065>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0.15, 0, 0>
   }
   
   texture {
      InnerGreen
   }
}

#declare OuterDoor = merge {
   //*PMName Door
   
   cylinder {
      //*PMName Bar 1
      <0.075, 0.08, 0>, <0.075, 1.95, 0>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Bar 2
      <0.225, 0.08, 0>, <0.225, 1.95, 0>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Bar 3
      <0.375, 0.08, 0>, <0.375, 1.95, 0>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Bar 4
      <0.525, 0.08, 0>, <0.525, 1.95, 0>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Bar 5
      <0.675, 0.08, 0>, <0.675, 1.95, 0>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Horizontal upper
      <-0.015, 1.65, -0.01>, <0.765, 1.71, -0.015>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Hinge upper
      <0, 1.6, 0.015>, <0, 1.7, 0.015>, 0.025
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Horizontal middle
      <0.055, 1.11, 0.02>, <0.695, 1.12, -0.02>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Horizontal lower
      <-0.015, 0.51, -0.015>, <0.765, 0.56, -0.02>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Hinge lower
      <0, 0.46, 0.015>, <0, 0.56, 0.015>, 0.025
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   texture {
      DarkYellow
   }
}

#declare GasLockOuterDoor = union {
   //*PMName Door
   
   merge {
      //*PMName Lower door
      
      box {
         //*PMName Door
         <-0.97, 0.04, 0>, <-0.1, 0.92, 0.03>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Hinge lower round
         <-0.02, 0.2, 0>, <-0.02, 0.28, 0>, 0.03
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hinge lower block
         <-0.025, 0.2, -0.03>, <-0.1, 0.28, 0.03>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Hinge upper round
         <-0.02, 0.68, 0>, <-0.02, 0.76, 0>, 0.03
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hinge lower block
         <-0.025, 0.68, -0.03>, <-0.1, 0.72, 0.03>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Upper lip
         <-0.92, 0.89, 0.03>, <-0.15, 0.95, 0.05>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      torus {
         //*PMName Pull ring
         0.05, 0.005
         scale <1, 1, 1>
         rotate <90, 0, 0>
         translate <-0.88, 0.7, -0.01>
         
         texture {
            Black
         }
      }
      
      merge {
         //*PMName Door handle
         
         cylinder {
            //*PMName Handle hub
            <-0.88, 0.35, -0.1>, <-0.88, 0.35, 0.1>, 0.03
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Handle outer
            <-1.005, 0.35, -0.1>, <-0.755, 0.35, -0.1>, 0.015
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Handle inner
            <-0.88, 0.35, 0.1>, <-0.88, 0.15, 0.1>, 0.015
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         texture {
            Black
         }
      }
      rotate <0, -10, 0>
      translate <1.02, 0, 0>
   }
   
   merge {
      //*PMName Upper door
      
      difference {
         //*PMName Door
         
         box {
            //*PMName Door
            <-0.97, 0.92, 0>, <-0.1, 1.8, 0.03>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Peephole
            <-0.605, 1.375, -0.01>, <-0.485, 1.455, 0.04>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      box {
         //*PMName Shutter rail top
         <-0.75, 1.46, -0.03>, <-0.48, 1.52, 0.06>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Shutter
         <-0.61, 1.35, 0.03>, <-0.48, 1.48, 0.04>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <-0.1, 0, 0>
      }
      
      box {
         //*PMName Shutter rail bottom
         <-0.75, 1.31, -0.03>, <-0.48, 1.37, 0.06>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Hinge lower round
         <-0.02, 1.12, 0>, <-0.02, 1.2, 0>, 0.03
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hinge lower block
         <-0.025, 1.12, -0.03>, <-0.1, 1.2, 0.03>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Hinge upper round
         <-0.02, 1.6, 0>, <-0.02, 1.68, 0>, 0.03
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hinge lower block
         <-0.025, 1.6, -0.03>, <-0.1, 1.68, 0.03>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      torus {
         //*PMName Pull ring
         0.05, 0.005
         scale <1, 1, 1>
         rotate <90, 0, 0>
         translate <-0.88, 1.25, -0.01>
         
         texture {
            Black
         }
      }
      
      merge {
         //*PMName Door handle
         
         cylinder {
            //*PMName Handle hub
            <-0.88, 1.45, -0.1>, <-0.88, 1.45, 0.1>, 0.03
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Handle outer
            <-1.005, 1.45, -0.1>, <-0.755, 1.45, -0.1>, 0.015
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Handle inner
            <-0.88, 1.45, 0.1>, <-0.88, 1.25, 0.1>, 0.015
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         texture {
            Black
         }
      }
      rotate <0, -25, 0>
      translate <1.02, 0, 0>
   }
   
   difference {
      //*PMName Doorframe
      
      box {
         //*PMName Doorframe edge
         <0, -0.01, 0>, <1.05, 1.81, 0.075>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hole 1
         <0.01, 0, -0.01>, <1.04, 1.8, 0.065>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hole 2
         <0.085, 0.075, -0.01>, <0.89, 1.715, 0.085>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   texture {
      InnerGreen
   }
}

#declare GasLockInnerDoor = union {
   //*PMName Door
   
   merge {
      //*PMName Door
      
      difference {
         //*PMName Door
         
         box {
            //*PMName Door
            <-0.895, 0.02, 0.015>, <-0.015, 1.77, -0.02>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Peephole
            <-0.5, 1.46, 0.025>, <-0.4, 1.5, -0.03>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      cylinder {
         //*PMName Hinge lower
         <0, 0.15, 0>, <0, 0.34, 0>, 0.015
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Hinge upper
         <0, 1.45, 0>, <0, 1.64, 0>, 0.015
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      merge {
         //*PMName Door handle upper
         
         cylinder {
            //*PMName Handle hub
            <-0.84, 1.35, -0.1>, <-0.84, 1.35, 0>, 0.02
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Handle
            <-0.84, 1.35, -0.1>, <-0.84, 1.1, -0.1>, 0.01
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         texture {
            Black
         }
      }
      
      merge {
         //*PMName Door handle lower
         
         cylinder {
            //*PMName Handle hub
            <-0.84, 0.42, -0.1>, <-0.84, 0.42, 0>, 0.02
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Handle
            <-0.84, 0.42, -0.1>, <-0.84, 0.17, -0.1>, 0.01
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         texture {
            Black
         }
      }
      rotate <0, 20, 0>
      translate <0.9, 0, -0.01>
   }
   
   difference {
      //*PMName Doorframe
      
      box {
         //*PMName Doorframe edge
         <0, 0, 0>, <0.9, 1.8, 0.075>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hole 1
         <0.01, 0.01, 0.01>, <0.89, 1.79, 0.1>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hole 2
         <0.075, 0.075, -0.01>, <0.825, 1.715, 0.1>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   texture {
      InnerGreen
   }
}

#declare EscapeTunnelDoor = union {
   //*PMName Door
   
   merge {
      //*PMName Door
      
      box {
         //*PMName Door
         <-0.695, 0.035, 0.015>, <-0.015, 0.915, -0.02>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Hinge lower
         <0, 0.105, 0>, <0, 0.235, 0>, 0.015
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Hinge upper
         <0, 0.715, 0>, <0, 0.845, 0>, 0.015
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      rotate <0, -20, 0>
      translate <0.725, 0, 0.05>
   }
   
   difference {
      //*PMName Doorframe
      
      box {
         //*PMName Doorframe edge
         <0, 0, 0>, <0.75, 0.95, 0.075>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hole 1
         <0.01, 0.01, -0.01>, <0.73, 0.94, 0.065>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Hole 2
         <0.075, 0.075, -0.01>, <0.675, 0.875, 0.1>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   texture {
      InnerGreen
   }
}

#declare RoofCorner = intersection {
   cylinder {
      <1, 0, 0>, <0, 0, 0>, 1
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      <0, 0, 1>, <0, 0, 0>, 1
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      <0, 0, 0>, <1, 1, 1>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
}

#declare Rung = merge {
   //*PMName Rung
   
   cylinder {
      //*PMName Left
      <-0.12, 0, 0>, <-0.12, 0, -0.18>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Right
      <0.12, 0, 0>, <0.12, 0, -0.18>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Front
      <-0.12, 0, -0.18>, <0.12, 0, -0.18>, 0.01
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   texture {
      pigment {
         color rgb <0.572549, 0.396078, 0.243137>
      }
   }
}

#declare RungLadder = union {
   //*PMName Ladder
   
   object {
      //*PMName 1
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0.29, 0>
   }
   
   object {
      //*PMName 2
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0.58, 0>
   }
   
   object {
      //*PMName 3
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0.87, 0>
   }
   
   object {
      //*PMName 4
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 1.16, 0>
   }
   
   object {
      //*PMName 5
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 1.45, 0>
   }
   
   object {
      //*PMName 6
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 1.74, 0>
   }
   
   object {
      //*PMName 7
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 2.03, 0>
   }
   
   object {
      //*PMName 8
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 2.32, 0>
   }
   
   object {
      //*PMName 9
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 2.61, 0>
   }
   
   object {
      //*PMName 10
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 2.9, 0>
   }
   
   object {
      //*PMName 11
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 3.19, 0.02>
   }
   
   object {
      //*PMName 12
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 3.48, 0.08>
   }
   
   object {
      //*PMName 13
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 3.77, 0.28>
   }
   
   object {
      //*PMName 14
      Rung
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 4.06, 0.82>
   }
}

#declare Regelbau501 = merge {
   //*PMName Regelbau 501
   
   difference {
      //*PMName Principal shape
      
      intersection {
         //*PMName Bunker
         
         union {
            //*PMName Walls
            
            box {
               //*PMName Outer walls
               <0, -0.6, 0>, <9, 2.1, 9.9>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            merge {
               //*PMName Roof
               
               box {
                  //*PMName Lower roof
                  <0, 0, 0>, <9, 1, 9.9>
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               box {
                  //*PMName Upper roof
                  <1, 1, 1>, <8, 2, 8.9>
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               cylinder {
                  //*PMName Roof edge F
                  <1, 1, 1>, <8, 1, 1>, 1
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               cylinder {
                  //*PMName Roof edge B
                  <1, 1, 8.9>, <8, 1, 8.9>, 1
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               cylinder {
                  //*PMName Roof edge L
                  <1, 1, 1>, <1, 1, 8.9>, 1
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               cylinder {
                  //*PMName Roof edge R
                  <8, 1, 1>, <8, 1, 8.9>, 1
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               object {
                  //*PMName Corner RF
                  RoofCorner
                  scale <1, 1, 1>
                  rotate <0, 90, 0>
                  translate <8, 1, 1>
               }
               
               object {
                  //*PMName Corner LF
                  RoofCorner
                  scale <1, 1, 1>
                  rotate <0, 180, 0>
                  translate <1, 1, 1>
               }
               
               object {
                  //*PMName Corner LB
                  RoofCorner
                  scale <1, 1, 1>
                  rotate <0, -90, 0>
                  translate <1, 1, 8.9>
               }
               
               object {
                  //*PMName Corner RB
                  RoofCorner
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <8, 1, 8.9>
               }
               
               prism {
                  //*PMName Ridge
                  linear_spline
                  linear_sweep
                  -8, -1,
                  4,
                  <2, 1>, <2.2, 1.3>, <2, 1.5>, <2, 1>
                  scale <1, 1, 1>
                  rotate <0, 0, 90>
                  translate <0, 0, 0>
               }
               translate <0, 2.1, 0>
            }
            
            merge {
               //*PMName Escape shaft
               
               difference {
                  //*PMName Round wall
                  
                  cylinder {
                     //*PMName Outer
                     <9, 0, 4.3>, <9, 4, 4.3>, 1
                     scale <1, 1, 1>
                     rotate <0, 0, 0>
                     translate <0, 0, 0>
                  }
                  
                  cylinder {
                     //*PMName Inner
                     <9, -0.1, 4.3>, <9, 4.1, 4.3>, 0.9
                     scale <1, 1, 1>
                     rotate <0, 0, 0>
                     translate <0, 0, 0>
                  }
                  
                  plane {
                     <1, 0, 0>, 0
                     scale <1, 1, 1>
                     rotate <0, 0, 0>
                     translate <9, 0, 4>
                  }
               }
               
               box {
                  //*PMName Straight wall N
                  <8, 0, 5.2>, <9, 4, 5.3>
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
               
               box {
                  //*PMName Straight wall S
                  <8, 0, 3.3>, <9, 4, 3.4>
                  scale <1, 1, 1>
                  rotate <0, 0, 0>
                  translate <0, 0, 0>
               }
            }
            
            object {
               //*PMName Rungs E
               RungLadder
               scale <1, 1, 1>
               rotate <0, -90, 0>
               translate <9, 0, 3.9>
            }
            
            object {
               //*PMName Rungs S
               RungLadder
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <2.75, 0, 0>
            }
         }
         
         merge {
            //*PMName Cuts
            
            plane {
               //*PMName Vertical cut
               <0, 0, -1>, 0
               
               texture {
                  Concrete
               }
               scale <1, 1, 1>
               rotate <-20, 30, 0>
               translate <2, 2, 13.2>
            }
            
            plane {
               //*PMName Horizontal cut
               <0, 1, 0>, 0
               
               texture {
                  Concrete
               }
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <9, 0.8, 4.5>
            }
            translate <0, 0, 0>
         }
      }
      
      merge {
         //*PMName Interior
         
         box {
            //*PMName Entrance
            <3, -0.01, -0.1>, <3.8, 2, 2.1>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Conduit cut-out
            <3.75, 1.4, -0.1>, <3.85, 1.47, 1>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Entrance niche
            <3.75, 1.4, 0.95>, <3.95, 1.75, 1.25>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         prism {
            //*PMName Cut corner
            linear_spline
            linear_sweep
            -0.01, 2.25,
            4,
            <3.7, 1.7>, <4.1, 2.1>, <3.7, 2.1>, <3.7, 1.7>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Corridor
            <2, -0.01, 2>, <4.5, 2.25, 3.2>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         union {
            //*PMName Firing port hole
            
            box {
               //*PMName Outer
               <0, 0, -0.1>, <0.75, 0.75, 0.3>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            box {
               //*PMName Middle
               <0.125, 0.14, 0.2>, <0.625, 0.61, 0.7>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            prism {
               //*PMName Inner
               linear_spline
               linear_sweep
               0.05, 0.7,
               5,
               <0.125, 0.9>, <0.125, 0.6>, <0.875, 0.6>, <1.055, 0.9>, <0.125, 0.9>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            translate <3, 0.975, 3.2>
         }
         
         box {
            //*PMName Outer gas lock doorway
            <4.4, -0.01, 2.1>, <5.1, 1.8, 3.1>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Gas lock
            <5, -0.01, 2>, <7, 2.25, 3.2>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Inner gas lock doorway
            <6, -0.01, 3.1>, <6.9, 1.8, 4.1>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Main room
            <2, -0.01, 4>, <7, 2.25, 7.9>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         union {
            //*PMName Escape tunnel
            
            box {
               //*PMName Tunnel
               <-0.1, 0.075, 0>, <2.1, 0.875, 0.6>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            box {
               //*PMName Doorframe opening
               <-0.1, 0, -0.075>, <0.075, 0.95, 0.675>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            box {
               //*PMName Brick wall opening W
               <1.08, 0.025, -0.15>, <1.33, 0.875, 0.75>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            box {
               //*PMName Brick wall opening E
               <1.41, 0.025, -0.15>, <1.66, 0.875, 0.75>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            
            box {
               //*PMName Niche
               <0.96, 0.735, -0.15>, <1.66, 0.875, 0.1>
               scale <1, 1, 1>
               rotate <0, 0, 0>
               translate <0, 0, 0>
            }
            translate <7, 0, 4.25>
         }
         
         texture {
            Interior
         }
      }
   }
   
   union {
      //*PMName Floors
      
      box {
         //*PMName Main floor
         <0.01, 0, 0.01>, <8.99, -0.6, 9.89>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Outer gas lock doorway
         <4.4, -0.01, 2.1>, <5.1, 0.075, 3.1>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Gas lock
         <5, -0.01, 2>, <7, 0.075, 3.2>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         //*PMName Inner gas lock doorway
         <6.1, -0.01, 3.1>, <6.9, 0.075, 4.1>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      texture {
         Floor
      }
   }
   
   object {
      //*PMName Outer door
      OuterDoor
      scale <-1, 1, 1>
      rotate <0, 0, 0>
      translate <3.775, 0, 0.325>
   }
   
   object {
      //*PMName Gas lock outer door
      GasLockOuterDoor
      scale <1, 1, 1>
      rotate <0, 90, 0>
      translate <4.5, 0, 3.1>
   }
   
   object {
      //*PMName Gas lock inner door
      GasLockInnerDoor
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <6, 0, 3.925>
   }
   
   object {
      //*PMName Escape tunnel door
      EscapeTunnelDoor
      scale <1, 1, 1>
      rotate <0, 90, 0>
      translate <7, 0, 4.92>
   }
   
   object {
      //*PMName Firing port
      FiringPort
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <3.125, 1.03, 3.8>
   }
   
   texture {
      Concrete
   }
}

object {
   //*PMName 501
   Regelbau501
   scale <1, 1, 1>
   rotate <0, 0, 0>
   translate <0, 0, 0>
}